<!doctype html>
<html
	xmlns:th="http://www.thymeleaf.org"
	xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
	layout:decorate="~{layouts/public.html}"
>
	<head>
		<!-- Primary Meta Tags -->
		<meta name="title" content="News" />
		<meta name="description" content="Sekolah tinggi manajemen informasi dan komputer Tazkia" />
		<title layout:title-pattern="$CONTENT_TITLE - $LAYOUT_TITLE">Berita</title>
	</head>
	<body layout:fragment="content">
		<div class="mt-16 bg-orange-50 py-24">
			<div class="mx-auto max-w-screen-lg space-y-2 text-center">
				<h1 class="text-3xl font-semibold text-on-surface-higher md:text-4xl xl:text-6xl">
					Berita <span class="font-bold text-orange-500">STMIK Tazkia</span>
				</h1>
				<p class="text-on-surface-lower">Ikuti update berita informasi seputar STMIK Tazkia</p>
			</div>
		</div>
		<div class="mx-auto max-w-screen-xl px-4 py-4">
			<div class="my-12 grid grid-cols-1 gap-4 md:grid-cols-2 xl:grid-cols-4">
				<!-- item -->
				<a
					th:each="news : ${newsList}"
					th:href="@{/news/{slug} (slug = ${news.slug})}"
					class="relative flex-shrink-0 overflow-hidden rounded-default bg-surface-container-higher hover:bg-surface-container-highest"
				>
					<img class="aspect-[1/1.3] object-cover" th:src="${news.thumbnail}" alt="image" />
					<div
						class="absolute left-0 top-0 z-10 flex h-full w-full flex-col justify-end bg-gradient-to-t from-black to-white/10 p-4 text-white/80 hover:from-primary"
					>
						<p th:text="${news.title}" class="line-clamp-2">zczv</p>
						<p class="mt-2 flex items-center gap-2 text-sm">
							<svg
								xmlns="http://www.w3.org/2000/svg"
								fill="none"
								viewBox="0 0 24 24"
								stroke-width="1.5"
								stroke="currentColor"
								class="size-5"
							>
								<path
									stroke-linecap="round"
									stroke-linejoin="round"
									d="M6.75 3v2.25M17.25 3v2.25M3 18.75V7.5a2.25 2.25 0 0 1 2.25-2.25h13.5A2.25 2.25 0 0 1 21 7.5v11.25m-18 0A2.25 2.25 0 0 0 5.25 21h13.5A2.25 2.25 0 0 0 21 18.75m-18 0v-7.5A2.25 2.25 0 0 1 5.25 9h13.5A2.25 2.25 0 0 1 21 11.25v7.5m-9-6h.008v.008H12v-.008ZM12 15h.008v.008H12V15Zm0 2.25h.008v.008H12v-.008ZM9.75 15h.008v.008H9.75V15Zm0 2.25h.008v.008H9.75v-.008ZM7.5 15h.008v.008H7.5V15Zm0 2.25h.008v.008H7.5v-.008Zm6.75-4.5h.008v.008h-.008v-.008Zm0 2.25h.008v.008h-.008V15Zm0 2.25h.008v.008h-.008v-.008Zm2.25-4.5h.008v.008H16.5v-.008Zm0 2.25h.008v.008H16.5V15Z"
								/>
							</svg>
							<span th:text="${#temporals.format(news.publishDate, 'dd MMMM yyyy')}">date</span>
						</p>
					</div>
				</a>
			</div>
			<div th:replace="~{news/partials/news_card_pagination.html :: news_card_pagination}"></div>
			<div th:replace="~{components/cta.html :: cta}"></div>
		</div>
	</body>
</html>
